FROM node:22.13
WORKDIR /app/client
CMD [ "npm", "run", "build" ]

RUN npm install -g npm
COPY ./ /app
RUN npm ci --include=dev

ENV LANG=C.UTF-8
ARG GIT_COMMIT_HASH
ENV GIT_COMMIT_HASH=${GIT_COMMIT_HASH:-undefined}
ARG BUILD_DATE
ENV BUILD_DATE=${BUILD_DATE:-undefined}
